Bug 1076264 - [abrt] libreoffice-core: ScAccessibleDocument::GetVisibleArea_Impl() const(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: ScAccessibleDocument::GetVisibleArea_Impl() const():...
Keywords:
Status: CLOSED DUPLICATE of bug 1264753
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 19
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bdcaad303274a3fe976ef6a3a04...
: 1264838 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-14 00:04 UTC by Daniel
Modified: 2015-09-21 16:52 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.1.5.3-7.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-18 08:09:00 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (38.37 KB, text/plain)
2014-03-14 00:04 UTC, Daniel
no flags Details
File: cgroup (141 bytes, text/plain)
2014-03-14 00:04 UTC, Daniel
no flags Details
File: core_backtrace (32.44 KB, text/plain)
2014-03-14 00:04 UTC, Daniel
no flags Details
File: dso_list (24.80 KB, text/plain)
2014-03-14 00:04 UTC, Daniel
no flags Details
File: environ (2.39 KB, text/plain)
2014-03-14 00:05 UTC, Daniel
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-14 00:05 UTC, Daniel
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-14 00:05 UTC, Daniel
no flags Details
File: maps (76.93 KB, text/plain)
2014-03-14 00:05 UTC, Daniel
no flags Details
File: open_fds (541 bytes, text/plain)
2014-03-14 00:05 UTC, Daniel
no flags Details
File: proc_pid_status (805 bytes, text/plain)
2014-03-14 00:05 UTC, Daniel
no flags Details
File: var_log_messages (449 bytes, text/plain)
2014-03-14 00:05 UTC, Daniel
no flags Details

Description Daniel 2014-03-14 00:04:30 UTC
Description of problem:
I was opening another Calc spreadsheet, and everything crashed and disappeared without warning. This has happened a few times recently, and no it's not cleanly reproducible (there's no magic number or type of spreadsheets that will cause it). I do a lot of data analysis, so I'm opening and closing spreadsheets and other documents pretty frequently in the course of my work. And from time to time, LibreOffice unexpectedly crashes.

Version-Release number of selected component:
libreoffice-core-4.1.5.3-1.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer file:///tmp/Nidzgorski%20ltr%20J%20Johnson%202014.docx --splash-pipe=5
crash_function: ScAccessibleDocument::GetVisibleArea_Impl() const
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.12.5-200.fc19.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ScAccessibleDocument::GetVisibleArea_Impl() const at /usr/lib/libreoffice/program/../program/libsclo.so
 #1 ScAccessibleDocument::ScAccessibleDocument(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible> const&, ScTabViewShell*, ScSplitPos) at /usr/lib/libreoffice/program/../program/libsclo.so
 #2 ScGridWindow::CreateAccessible() at /usr/lib/libreoffice/program/../program/libsclo.so
 #3 Window::GetAccessible(unsigned char) at /usr/lib/libreoffice/program/libvcllo.so
 #4 WindowEventHandler(void*, VclSimpleEvent const*) at /usr/lib/libreoffice/program/libvclplug_gtklo.so
 #5 VclEventListeners::Call(VclSimpleEvent*) const at /usr/lib/libreoffice/program/libvcllo.so
 #6 Application::ImplCallEventListeners(VclSimpleEvent*) at /usr/lib/libreoffice/program/libvcllo.so
 #7 Window::CallEventListeners(unsigned long, void*) at /usr/lib/libreoffice/program/libvcllo.so
 #8 Window::ImplCallEventListeners(unsigned long, void*) at /usr/lib/libreoffice/program/libvcllo.so
 #9 Window::PreNotify(NotifyEvent&) at /usr/lib/libreoffice/program/libvcllo.so

Comment 1 Daniel 2014-03-14 00:04:41 UTC
Created attachment 874178 [details]
File: backtrace

Comment 2 Daniel 2014-03-14 00:04:42 UTC
Created attachment 874179 [details]
File: cgroup

Comment 3 Daniel 2014-03-14 00:04:49 UTC
Created attachment 874180 [details]
File: core_backtrace

Comment 4 Daniel 2014-03-14 00:04:57 UTC
Created attachment 874181 [details]
File: dso_list

Comment 5 Daniel 2014-03-14 00:05:01 UTC
Created attachment 874182 [details]
File: environ

Comment 6 Daniel 2014-03-14 00:05:08 UTC
Created attachment 874183 [details]
File: exploitable

Comment 7 Daniel 2014-03-14 00:05:10 UTC
Created attachment 874184 [details]
File: limits

Comment 8 Daniel 2014-03-14 00:05:16 UTC
Created attachment 874185 [details]
File: maps

Comment 9 Daniel 2014-03-14 00:05:18 UTC
Created attachment 874186 [details]
File: open_fds

Comment 10 Daniel 2014-03-14 00:05:20 UTC
Created attachment 874187 [details]
File: proc_pid_status

Comment 11 Daniel 2014-03-14 00:05:28 UTC
Created attachment 874188 [details]
File: var_log_messages

Comment 12 Daniel 2014-03-14 00:14:29 UTC
Related-seeming bugs from my system, all some variant of "soffice.bin killed by SIGSEGV":
https://bugzilla.redhat.com/show_bug.cgi?id=1050162
https://bugzilla.redhat.com/show_bug.cgi?id=1074124

Comment 13 Caolan McNamara 2014-03-14 10:59:03 UTC
symbols are missing from the bt, debuginfo-install libreoffice would help to get the required detail on the next crash.

I can tell that the crash is from the a11y support, so it might make a difference if you don't actually need the a11y support, to try disabling it with

gsettings set org.gnome.desktop.interface toolkit-accessibility false

Comment 14 Daniel 2014-03-14 18:13:02 UTC
(In reply to Caolan McNamara from comment #13)
> symbols are missing from the bt, debuginfo-install libreoffice would help to
> get the required detail on the next crash.
> 
> I can tell that the crash is from the a11y support, so it might make a
> difference if you don't actually need the a11y support, to try disabling it
> with
> 
> gsettings set org.gnome.desktop.interface toolkit-accessibility false

I do use the Orca screenreader at times, and I'm assuming that disabling the a11y support would disable the connection to Orca?

Comment 15 Caolan McNamara 2014-03-14 20:04:44 UTC
Yeah, don't do that then :-) We'll just have to try and get a better backtrace.

Comment 16 Caolan McNamara 2014-03-14 20:41:10 UTC
Digging around I find a probable duplicate backtrace (but with line numbers) at http://retrace.fedoraproject.org/faf/reports/338291/

So I can hazard a shot-to-nothing fix and see if that makes a difference to you.

Comment 17 Fedora Update System 2014-03-15 20:48:16 UTC
libreoffice-4.2.2.1-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.2.1-7.fc20

Comment 18 Fedora Update System 2014-03-17 03:52:49 UTC
Package libreoffice-4.2.2.1-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.2.1-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3963/libreoffice-4.2.2.1-7.fc20
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-03-18 08:09:00 UTC
libreoffice-4.2.2.1-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-03-18 09:13:02 UTC
libreoffice-4.1.5.3-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.5.3-7.fc19

Comment 21 Fedora Update System 2014-03-27 04:44:13 UTC
libreoffice-4.1.5.3-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Stephan Bergmann 2015-09-21 16:49:57 UTC
*** Bug 1264838 has been marked as a duplicate of this bug. ***

Comment 23 Stephan Bergmann 2015-09-21 16:52:05 UTC
most likely a duplicate of bug 1264753, esp. given this bug's duplicate bug 1264838 still happened on F22 with the above fix in place

*** This bug has been marked as a duplicate of bug 1264753 ***


Note You need to log in before you can comment on or make changes to this bug.